<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <UserSecretsId>5749d66d-04bd-461c-99cf-edd55df080e3</UserSecretsId>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Confluent.Kafka" Version="2.6.0" />
        <PackageReference Include="Confluent.SchemaRegistry" Version="2.6.0" />
        <PackageReference Include="MassTransit" Version="8.3.1" />
        <PackageReference Include="MassTransit.Kafka" Version="8.3.1" />
        <PackageReference Include="MassTransit.SqlTransport.PostgreSQL" Version="8.3.1" />
        <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.10" />
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="8.0.10" />
        <PackageReference Include="Microsoft.AspNetCore.DataProtection.EntityFrameworkCore" Version="8.0.10" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.10" />
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.10" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.10">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.10">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.IdentityModel.Abstractions" Version="8.2.0" />
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.10" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.9.0" />
        <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.2.0" />
    </ItemGroup>

    <ItemGroup>
      <Content Include="..\.dockerignore">
        <Link>.dockerignore</Link>
      </Content>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\OpenWarehouse.auth.lib\OpenWarehouse.auth.lib.csproj" />
        <ProjectReference Include="..\OpenWarehouse.Common.Lib\OpenWarehouse.Common.Lib.csproj" />
    </ItemGroup>
    

    <ItemGroup>
      <Folder Include="Data\Migrations\" />
    </ItemGroup>
    
</Project>
